
User Interface - Bug #6042

Nested frame must not be made visible when empty and DISPLAY/ENABLE executed on the parent

02/03/2022 02:35 PM - Hynek Cihlar

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marian Edu % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 02/03/2022 02:40 PM - Hynek Cihlar

define var fi as char.

define frame f fi with side-labels title "root" size 80 by 10.

define frame fnested with title "nested" with row 4 side-labels with size 30 by 6.

frame fnested:frame = frame f:handle.

enable fi with frame f.

// fnested must be hidden at this point

wait-for close of this-procedure.

#2 - 02/08/2022 02:27 AM - Marian Edu

Hynek Cihlar wrote:

[...]

 

Hynek, I could have sworn I've saw that happening but running the code in 4GL doesn't seem to behave that way - running that code in OE 11.7 and

OE 12.2 does show the nested frame even if there is no widget in it :(

The empty nested frame is visible in both GUI/CHUI, what is the OE environment you've seen something like that happening?
#3 - 03/09/2022 05:11 AM - Marian Edu

- Status changed from New to Feedback

Hynek, are you sure about this? Running the test on my OE install does make the nested frame visible even if there are no widgets in it (gui and chui),

what am I missing?

#4 - 03/10/2022 01:35 PM - Hynek Cihlar

- % Done changed from 0 to 100

I can't replicate this either. Let's close it then.

#5 - 03/10/2022 01:51 PM - Greg Shah

- Assignee set to Marian Edu

- Status changed from Feedback to Closed
